Package hdf.hdflib

# Class HDFLibraryException

java.lang.Object
java.lang.Throwable
java.lang.Exception
hdf.hdflib.HDFException
hdf.hdflib.HDFLibraryException

All Implemented Interfaces:
  `Serializable`

public class HDFLibraryException extends HDFException

The class HDFException returns errors raised by the HDF library.

In principle, this includes any and all errors possible from the HDF library. However, most error conditions are not yet detected in this version of the Java interface. This will be added in future releases. The only HDF library error currently raised are errors in Hopen, such as ``file not found''.

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class hdf.hdflib.HDFException

  `HDFerror, HDFExceptionMessage, HDFMessage, msg, OutOfMemoryMessage`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HDFLibraryException()`
  `HDFLibraryException​(int err)`
  `HDFLibraryException​(String s)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getMessage()`
  `void`
  `printStackTrace()`
  Prints this `HDFLibraryException`, the HDF Library error stack, and and the Java stack trace to the standard error stream.
  `void`
  `printStackTrace​(File f)`
  Prints this `HDFLibraryException` the HDF Library error stack, and and the Java stack trace to the specified print stream.

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### HDFLibraryException

    public HDFLibraryException()

  - ### HDFLibraryException

    public HDFLibraryException​(String s)

  - ### HDFLibraryException

    public HDFLibraryException​(int err)

- ## Method Details

  - ### getMessage

    public String getMessage()
    Overrides:
      `getMessage` in class `HDFException`

  - ### printStackTrace

    public void printStackTrace()
    Prints this `HDFLibraryException`, the HDF Library error stack, and and the Java stack trace to the standard error stream.
    Overrides:
      `printStackTrace` in class `Throwable`

  - ### printStackTrace

    public void printStackTrace​(File f)
    Prints this `HDFLibraryException` the HDF Library error stack, and and the Java stack trace to the specified print stream.
    Parameters:
      `f` - the file print stream.